"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transformer;

/**
 * @param {import('jscodeshift').FileInfo} file
 * @param {import('jscodeshift').API} api
 */
function transformer(file, api, options) {
  const j = api.jscodeshift;
  const printOptions = options.printOptions;
  return j(file.source).findJSXElements('CircularProgress').forEach(path => {
    path.node.openingElement.attributes.forEach(node => {
      var _node$value$expressio;

      if (node.type === 'JSXAttribute' && node.name.name === 'variant' && (node.value.value === 'static' || ((_node$value$expressio = node.value.expression) == null ? void 0 : _node$value$expressio.value) === 'static')) {
        node.value = j.literal('determinate');
      }

      if (node.type === 'JSXAttribute' && node.name.name === 'classes') {
        var _node$value, _node$value$expressio2, _node$value$expressio3;

        (_node$value = node.value) == null ? void 0 : (_node$value$expressio2 = _node$value.expression) == null ? void 0 : (_node$value$expressio3 = _node$value$expressio2.properties) == null ? void 0 : _node$value$expressio3.forEach(subNode => {
          if (subNode.key.name === 'static') {
            subNode.key.name = 'determinate';
          }
        });
      }
    });
  }).toSource(printOptions);
}