"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transformer;

/**
 * @param {import('jscodeshift').FileInfo} file
 * @param {import('jscodeshift').API} api
 */
function transformer(file, api, options) {
  const j = api.jscodeshift;
  const printOptions = options.printOptions;
  const source = j(file.source).findJSXElements('Fab').forEach(path => {
    path.node.openingElement.attributes.forEach(node => {
      if (node.type === 'JSXAttribute' && node.name.name === 'variant') {
        var _node$value$expressio;

        if (node.value.value === 'round' || ((_node$value$expressio = node.value.expression) == null ? void 0 : _node$value$expressio.value) === 'round') {
          node.value = j.literal('circular');
        }
      }

      if (node.type === 'JSXAttribute' && node.name.name === 'classes') {
        var _node$value, _node$value$expressio2;

        (((_node$value = node.value) == null ? void 0 : (_node$value$expressio2 = _node$value.expression) == null ? void 0 : _node$value$expressio2.properties) || []).forEach(subNode => {
          if (subNode.key.name === 'round') {
            subNode.key.name = 'circular';
          }
        });
      }
    });
  }).toSource(printOptions);
  return source.replace(/\.MuiFab-round/gm, '.MuiFab-circular');
}