"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transformer;

/**
 * @param {import('jscodeshift').FileInfo} file
 * @param {import('jscodeshift').API} api
 */
function transformer(file, api, options) {
  const j = api.jscodeshift;
  const root = j(file.source);
  const printOptions = options.printOptions;
  root.find(j.JSXElement).filter(({
    node
  }) => {
    var _node$openingElement$;

    return (_node$openingElement$ = node.openingElement.name.name) == null ? void 0 : _node$openingElement$.match(/^(Table|TableCell)$/);
  }).forEach(({
    node
  }) => {
    node.openingElement.attributes.forEach(attr => {
      var _attr$name, _attr$value, _attr$value2, _attr$value2$expressi;

      if (((_attr$name = attr.name) == null ? void 0 : _attr$name.name) === 'padding' && (((_attr$value = attr.value) == null ? void 0 : _attr$value.value) === 'default' || ((_attr$value2 = attr.value) == null ? void 0 : (_attr$value2$expressi = _attr$value2.expression) == null ? void 0 : _attr$value2$expressi.value) === 'default')) {
        attr.value = j.literal('normal');
      }
    });
  });
  root.findJSXElements('TablePagination').forEach(({
    node
  }) => {
    node.openingElement.attributes.forEach(attr => {
      var _attr$name2, _attr$name3;

      if (attr.type === 'JSXAttribute' && attr.name.name === 'onChangeRowsPerPage') {
        attr.name.name = 'onRowsPerPageChange';
      }

      if (attr.type === 'JSXAttribute' && ((_attr$name2 = attr.name) == null ? void 0 : _attr$name2.name) === 'onChangePage') {
        attr.name.name = 'onPageChange';
      }

      if (attr.type === 'JSXAttribute' && ((_attr$name3 = attr.name) == null ? void 0 : _attr$name3.name) === 'classes') {
        (attr.value.expression.properties || []).forEach(subNode => {
          if (subNode.key.name === 'input') {
            subNode.key.name = 'select';
          }
        });
      }
    });
  });
  return root.toSource(printOptions).replace(/\.MuiTablePagination-input/gm, '.MuiTablePagination-select');
}